Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class DerivedValueSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.DerivedValueSourceImpl

All Implemented Interfaces:
  DerivedValueSource, RelationalValueSource

    public class DerivedValueSourceImpl

extends Object
implements DerivedValueSource

Method Summary
`String` | `getContainingTableName()`
`String` | `getExpression()` Obtain the expression used to derive the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExpression

    public String getExpression()

  Description copied from interface: `DerivedValueSource`
  Obtain the expression used to derive the value.

  Specified by:
    `getExpression` in interface `DerivedValueSource`
  Returns:
    The derived value expression.

### getContainingTableName

    public String getContainingTableName()

  Specified by:
    `getContainingTableName` in interface `RelationalValueSource`
  Returns:
    returns the name of the table that contains this value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.